
Foreman - Bug #33514

Toast type in errorToast is incorrect
Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: JavaScript stack   

Target version:    

Difficulty: trivial Fixed in Releases: 3.0.2, 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8783

  

Description

When using API middleware's errorToast option, the action dispatched has a type 'error' which is incorrect. This results in a console

warning:

Toast notification type 'error' is invalid. Please use one of the following types: success,danger,warning,info,default

It transforms the error to the 'danger' type, but still displays the warning. It should be 'danger' from the beginning to avoid the console

warning.

Associated revisions

Revision 335623c3 - 09/20/2021 02:58 PM - Jeremy Lenz

Fixes #33514 - correct errorToast type

History

#1 - 09/17/2021 06:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/foreman/pull/8783 added

#2 - 09/20/2021 02:58 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 09/20/2021 03:01 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|335623c3700e0ea28bccf01517c8274ae1744ceb.

#4 - 11/15/2021 04:49 PM - Amit Upadhye

- Category set to JavaScript stack

#5 - 11/18/2021 01:35 PM - Ondřej Ezr

- Fixed in Releases 3.0.2 added
